# Method: bidders.pretargetingConfigs.removeTargetedPublishers

- [HTTP request](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/removeTargetedPublishers#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/removeTargetedPublishers#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/removeTargetedPublishers#body.request_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/removeTargetedPublishers#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/removeTargetedPublishers#body.response_body)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/removeTargetedPublishers#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs/removeTargetedPublishers#try-it)

Removes targeted publishers from the pretargeting config.

### HTTP request

`POST https://realtimebidding.googleapis.com/v1/{pretargetingConfig=bidders/*/pretargetingConfigs/*}:removeTargetedPublishers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `pretargetingConfig` | `string` Required. The name of the pretargeting configuration. Format: bidders/{bidderAccountId}/pretargetingConfig/{configId} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "publisherIds": [ string ] } ``` |

| Fields ||
|---|---|
| `publisherIds[]` | `string` A list of publisher IDs to stop targeting in the pretargeting configuration. These values will be removed from the list of targeted publisher IDs in `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs#PretargetingConfig.FIELDS.publisher_targeting`. Publishers are identified by their publisher ID from ads.txt / app-ads.txt. See <https://iabtechlab.com/ads-txt/> and <https://iabtechlab.com/app-ads-txt/> for more details. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.pretargetingConfigs#PretargetingConfig`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/realtime-bidding`